# Class StatusEffectImmunityAbAttr

#### Hierarchy (view full)

- PreSetStatusAbAttr
  - StatusEffectImmunityAbAttr

- Defined in src/data/ability.ts:2002

#####
Index

### Constructors

constructor

### Properties

immuneEffects
showAbility

### Methods

addCondition
apply
applyPreSetStatus
getCondition
getTriggerMessage

## Constructors

### constructor

- new StatusEffectImmunityAbAttr(...immuneEffects): StatusEffectImmunityAbAttr

- #### Parameters

  - `Rest` ...immuneEffects: StatusEffect []

  #### Returns StatusEffectImmunityAbAttr

  Overrides PreSetStatusAbAttr.constructor

  - Defined in src/data/ability.ts:2005

## Properties

### `Private` immuneEffects

immuneEffects: StatusEffect []

- Defined in src/data/ability.ts:2003

### showAbility

showAbility: boolean

Inherited from PreSetStatusAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreSetStatusAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreSetStatusAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreSetStatus

- applyPreSetStatus(pokemon, passive, effect, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - effect: StatusEffect
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides PreSetStatusAbAttr.applyPreSetStatus

  - Defined in src/data/ability.ts:2011

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreSetStatusAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Overrides PreSetStatusAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:2020